none
Asp.Net Core貌似不能运行在树莓派上面,问了很多人说.Net Core有ARM版本,我倒是没找到 RRS feed

答案

  • Hi ZHONG-LIVE,

    感谢你在MSDN论坛发帖。

    当你执行 sudo apt-get update 命令,系统会根据一张存储各种资源的链接表,去下载文件。当然如果系统好久没有更新,这张表上面的链接就会无效,因为可以链接所对应的资源已经被移走了。就会出现你图中的错误。resource would not be read.

    你可以打开这个resource 文件。看一下里面的链接还能不能用。

    sudo gedit /etc/apt/sources.list

    如果不能,你需要更新一下,这个文件。

    sudo apt-get update

    根据我调查的结果,.NET core 目前可以在linux环境运行,但是还没有发现一些文档说ARM上面支持.NET core。

    下面是微软官方写的blog,里面提及ARM平台将会被支持。

    https://blogs.msdn.microsoft.com/dotnet/2016/06/27/announcing-net-core-1-0/

    Best Regards,

    Hart


    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    2017年1月19日 7:17
    版主